package cn.stylefeng.workflow.instance.modular.task.strategy.samesubmit;

import cn.stylefeng.workflow.api.entity.task.RuTask;
import cn.stylefeng.workflow.api.enums.strategy.SamePersonApprovalPolicyEnum;
import cn.stylefeng.workflow.instance.modular.task.strategy.samesubmit.base.SameSubmitRule;
import org.springframework.stereotype.Component;

@Component
public class SameSubmitNotJumpRule extends SameSubmitRule {

    @Override
    public SamePersonApprovalPolicyEnum getSameSubmitRuleType() {
        return SamePersonApprovalPolicyEnum.NOT_JUMP;
    }

    @Override
    public RuTask processTask(RuTask originTask, Long applicantUserId, Long applicantOrgId) {

        return null;
    }

}
